#include "h5augjpss.h"

/* Macro definitions */
#define EXIT_FAILURE    1
#define EXIT_SUCCESS    0
#define HDstrcmp(s1, s2)   strcmp(s1, s2)
#define streq(s1, s2)   !HDstrcmp(s1, s2)

/* Global variables definitions */
extern const char      *progname_g;    /* program name */

void leave(int ret);
void usage(void);
void parse_options(int, const char**);
int h5aj_augment_file(void);
herr_t h5aj_disconnect_group(hid_t, char*);
int h5aj_add_dimension_scales(hid_t, H5aj_field_t*);
int h5aj_add_attributes_for_datums(hid_t, H5aj_field_t*);
htri_t h5aj_check_dimscales(hid_t);
herr_t h5aj_add_geolocation_datasets(hid_t, hid_t, const char*);
herr_t h5aj_restore_group_link(hid_t, const char*);
